import 'package:fis_ui/index.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

///行区分占位UI
class RowSeparator extends FStatelessWidget {
  @override
  FWidget build(BuildContext context) {
    FDivider divider;
    EdgeInsetsGeometry padding;
    if (kIsMobile) {
      divider = const FDivider(
        thickness: 1,
        color: Colors.grey,
      );
      padding = EdgeInsets.only(
        left: 10.sp,
        right: 10.sp,
      );
    } else {
      divider = const FDivider(
        height: 1,
        color: Colors.grey,
      );
      padding = EdgeInsets.only(
        left: 6.sp,
        right: 6.sp,
      );
    }
    return FPadding(
      padding: padding,
      child: divider,
    );
  }
}
